# TODO

## Remove old/normal page editor

- The normal page editor is still available. It should be removed.

## API for blocks

### POST /api/block/append

`block=<block>&text=<text>`

Append `<text>` as a new block at the end of the children `<block>`.

## Tables

A table can be defined by headers and rows. The headers are the `Keywords::` of
the page, and the rows are the pages where these fields should be taken from.

```text
{{table}}
    headers
        Father
        Title
    rows
        [[Link to other page]]
        ...
```

### Use cases

#### Show the values from the pages in a table form based on the header names

#### Edit the values and update the name/value pair in the corresponding document

## Block references

- `((_[a-z0-9_]+))` block reference syntax
- search blocks based on this syntax
- load referenced blocks
  - which blocks are referenced
- `transform()` referenced blocks
- /Block reference
